Bug 1185015 - Review Request: gap-pkg-browse - GAP browser for 2-dimensional arrays of data
Summary: Review Request: gap-pkg-browse - GAP browser for 2-dimensional arrays of data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-22 17:28 UTC by Jerry James
Modified: 2015-02-09 05:32 UTC (History)
2 users (show)

Fixed In Version: gap-pkg-browse-1.8.6-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 05:32:22 UTC
Type: ---
manisandro: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2015-01-22 17:28:33 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-browse/gap-pkg-browse.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-browse/gap-pkg-browse-1.8.6-1.fc22.src.rpm
Fedora Account System Username: jjames
Description: This is a rename review.  The original review is bug 869797.

The motivation for this package was to develop functions for an interactive display of two-dimensional arrays of data, for example character tables.  They should be displayed with labeled rows and columns, the display should allow some markup for fonts or colors, it should be possible to search for entries, to sort rows or columns, to hide and unhide information, to bind commands to keys, and so on.

To achieve this our package now provides three levels of functionality, where in particular the first level may also be used for completely other types of applications:
- A low level interface to ncurses: This may be interesting for all kinds of applications which want to display text with some markup and colors, maybe in several windows, using the available capabilities of a terminal.
- A medium level interface to a generic function NCurses.BrowseGeneric: We introduce a new operation Browse which is meant as an interactive version of Display for GAP objects.  Then we provide a generic function for browsing two-dimensional arrays of data, handles labels for rows and columns, searching, sorting, binding keys to actions, etc.  This is for users who want to implement new methods for browsing two-dimensional data.
- Applications of these interfaces: We provide some applications of the ncurses interface and of the function NCurses.BrowseGeneric.  These may be interesting for end users, and also as examples for programmers of further applications.  This includes a method for browsing character tables, several games, and an interface for demos.

Comment 1 Sandro Mani 2015-01-23 00:10:54 UTC
Same comments as in https://bugzilla.redhat.com/show_bug.cgi?id=1185014#c1 (except for license), but all in all ok.


Only additional thing:
[!]: %build honors applicable compiler flags or justifies otherwise.
Consider adding

LDFLAGS="%{__global_ldflags}"

to make (despite these currently being the same as the default flags, but i.e. %cmake etc. also explicitly set these).


All rpmlint warnings can be ignored.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find GPL in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 5 files have unknown license. Detailed output of
     licensecheck in /home/sandro/Desktop/1185015-gap-pkg-
     browse/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/gap/pkg/Browse/lib(gap-
     Browse), /usr/lib/gap/pkg/Browse/doc(gap-Browse),
     /usr/lib/gap/pkg/Browse/tst(gap-Browse),
     /usr/lib/gap/pkg/Browse/bin/x86_64-redhat-linux-gnu-gcc-default64(gap-
     Browse), /usr/lib/gap/pkg/Browse/bibl(gap-Browse),
     /usr/lib/gap/pkg/Browse/app(gap-Browse), /usr/lib/gap/pkg/Browse/bin(gap-
     Browse), /usr/lib/gap/pkg/Browse(gap-Browse)
     ==> Ok since this package replaces gap-Browse
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-browse-1.8.6-1.fc22.x86_64.rpm
          gap-pkg-browse-1.8.6-1.fc22.src.rpm
gap-pkg-browse.x86_64: W: spelling-error %description -l en_US unhide -> unhindered
gap-pkg-browse.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
gap-pkg-browse.x86_64: W: spelling-error %description -l en_US BrowseGeneric -> Browse Generic, Browse-generic, Generically
gap-pkg-browse.src: W: spelling-error %description -l en_US unhide -> unhindered
gap-pkg-browse.src: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
gap-pkg-browse.src: W: spelling-error %description -l en_US BrowseGeneric -> Browse Generic, Browse-generic, Generically
gap-pkg-browse.src:76: W: configure-without-libdir-spec
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
gap-pkg-browse.x86_64: W: spelling-error %description -l en_US unhide -> unhindered
gap-pkg-browse.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
gap-pkg-browse.x86_64: W: spelling-error %description -l en_US BrowseGeneric -> Browse Generic, Browse-generic, Generically
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
gap-pkg-browse (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/update-gap-workspace
    gap-core
    libc.so.6()(64bit)
    libncurses.so.5()(64bit)
    libpanel.so.5()(64bit)
    libtinfo.so.5()(64bit)
    rtld(GNU_HASH)



Provides
--------
gap-pkg-browse:
    gap-Browse
    gap-Browse(x86-64)
    gap-pkg-browse
    gap-pkg-browse(x86-64)



Unversioned so-files
--------------------
gap-pkg-browse: /usr/lib/gap/pkg/Browse/bin/x86_64-redhat-linux-gnu-gcc-default64/ncurses.so

Source checksums
----------------
http://www.math.rwth-aachen.de/~Browse/Browse-1.8.6.tar.bz2 :
  CHECKSUM(SHA256) this package     : b43a6642a9a83d271f12009594df0bf1652711931e8dec8268752a13dfec6dc3
  CHECKSUM(SHA256) upstream package : b43a6642a9a83d271f12009594df0bf1652711931e8dec8268752a13dfec6dc3


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1185015
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Jerry James 2015-01-24 03:06:19 UTC
(In reply to Sandro Mani from comment #1)
> Same comments as in https://bugzilla.redhat.com/show_bug.cgi?id=1185014#c1
> (except for license), but all in all ok.

I have made the same fixes to this spec file, namely marking the documentation directory as %docdir and adding Requires(post) and Requires(postun).

> Only additional thing:
> [!]: %build honors applicable compiler flags or justifies otherwise.
> Consider adding
> 
> LDFLAGS="%{__global_ldflags}"
> 
> to make (despite these currently being the same as the default flags, but
> i.e. %cmake etc. also explicitly set these).

Done (although I used $RPM_LD_FLAGS, but it has the same effect).

New URLs:
Spec URL: https://jjames.fedorapeople.org/gap-pkg-browse/gap-pkg-browse.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-browse/gap-pkg-browse-1.8.6-2.fc22.src.rpm

Comment 3 Sandro Mani 2015-01-24 11:30:32 UTC
All ok, approved!

Comment 4 Jerry James 2015-01-24 18:18:35 UTC
New Package SCM Request
=======================
Package Name: gap-pkg-browse
Short Description: GAP browser for 2-dimensional arrays of data
Upstream URL: http://www.math.rwth-aachen.de/~Browse/
Owners: jjames
Branches: f21
InitialCC:

Comment 5 Gwyn Ciesla 2015-01-25 21:45:48 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-01-30 23:06:38 UTC
gap-pkg-browse-1.8.6-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gap-pkg-browse-1.8.6-2.fc21

Comment 7 Fedora Update System 2015-02-01 00:26:53 UTC
gap-pkg-browse-1.8.6-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 8 Fedora Update System 2015-02-09 05:32:22 UTC
gap-pkg-browse-1.8.6-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.